List posts
curl --request GET \
--url https://api.postlybee.com/public/v1/workspaces/{workspaceId}/posts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.postlybee.com/public/v1/workspaces/{workspaceId}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.postlybee.com/public/v1/workspaces/{workspaceId}/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"posts": [
{
"id": "clz8v2f6r0001k9p8t5m3w7q1",
"state": "QUEUE",
"publishDate": "2026-09-01T09:00:00.000Z",
"content": "A scheduled update from PostlyBee.",
"integrationId": "clz8tq4ka0001m8p7y6n5r3d2",
"integration": {},
"tags": [
{}
]
}
]
}{
"message": "At least one post is required",
"code": "invalid_request",
"statusCode": 400
}{
"statusCode": 401,
"code": "unauthorized",
"message": "Invalid API token"
}Posts
List posts
List workspace posts within an inclusive UTC date range.
GET
/
public
/
v1
/
workspaces
/
{workspaceId}
/
posts
List posts
curl --request GET \
--url https://api.postlybee.com/public/v1/workspaces/{workspaceId}/posts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.postlybee.com/public/v1/workspaces/{workspaceId}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.postlybee.com/public/v1/workspaces/{workspaceId}/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"posts": [
{
"id": "clz8v2f6r0001k9p8t5m3w7q1",
"state": "QUEUE",
"publishDate": "2026-09-01T09:00:00.000Z",
"content": "A scheduled update from PostlyBee.",
"integrationId": "clz8tq4ka0001m8p7y6n5r3d2",
"integration": {},
"tags": [
{}
]
}
]
}{
"message": "At least one post is required",
"code": "invalid_request",
"statusCode": 400
}{
"statusCode": 401,
"code": "unauthorized",
"message": "Invalid API token"
}Last modified on October 3, 2026